using UnityEngine;
using System.Collections;

public class FunObject : MonoBehaviour {
	
	public float x
	{
		get { return transform.position.x; }
		set { transform.position = new Vector3(value, transform.position.y, transform.position.z); }
	}
	public float y
	{
		get { return transform.position.y; }
		set { transform.position = new Vector3(transform.position.x, value, transform.position.z); }
	}
	public float z
	{
		get { return transform.position.z; }
		set { transform.position = new Vector3(transform.position.x, transform.position.y, value); }
	}
	public Vector3 position
	{
		get { return transform.position; }
		set { transform.position = value; }
	}
	
	public float lx
	{
		get { return transform.localPosition.x; }
		set { transform.localPosition = new Vector3(value, transform.localPosition.y, transform.localPosition.z); }
	}
	public float ly
	{
		get { return transform.localPosition.y; }
		set { transform.localPosition = new Vector3(transform.localPosition.x, value, transform.localPosition.z); }
	}
	public float lz
	{
		get { return transform.localPosition.z; }
		set { transform.position = new Vector3(transform.localPosition.x, transform.localPosition.y, value); }
	}
	public Vector3 lposition
	{
		get { return transform.localPosition; }
		set { transform.localPosition = value; }
	}
	
	
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
